export interface IWebSocketRequest {
	type: "request",
	requestId: number,
	method: string,
	payload: any
}

export interface IWebSocketResponse {
	type     : "response",
	requestId: number,
	payload  : any
}


export interface IPendingRequest {
	resolve(payload?: any): void,
	reject(error: Error|string): void
}
